import { ListenerRss } from "listener-rss";

export class PeertubeListenerRss extends ListenerRss {
  constructor(
    adrInstance: string,
    idChaine: string,
    timeloop?: number,
    lastEntriesLinks?: string[]
  ) {
    super({
      address: `https://${adrInstance}/feeds/videos.xml?videoChannelId=${idChaine}`,
      timeloop: timeloop,
      lastEntriesLinks: lastEntriesLinks,
      customfields: {
        "media:group": ["media:group"],
      },
    });
  }
}
